package com.iformall.enums;


/**
 * @author gongbiao
 */

public enum EnumOrderPressStatus {

    FIRST(1,"我发起的砍价"),
    NOT_JOIN(2,"未参与的砍价"),
    HAD_JOIN(3, "已参与的砍价")
    ;

    public static EnumOrderPressStatus getEnum(Integer code) {
        for (EnumOrderPressStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumOrderPressStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
